Description

Setup Jenkins Job for Continuous Maven Deployment of RSBJava. One question is how to deal with the required credentials?

Associated revisions
Revision 0e582fc4 - 11/26/2012 03:15 PM - D. Klotz

Merge branch 'wip-maven', updating the Maven build, e.g. to also
implement the correct versioning scheme.

refs #1251
refs #1252

History
#1 - 11/22/2012 03:35 PM - D. Klotz
- Status changed from New to In Progress

I just started by trying to find out how the whole process of deploying to the CITEC repo is actually managed and how it works technically.

#2 - 11/23/2012 05:59 PM - D. Klotz
- % Done changed from 0 to 10

I've manually deployed some initial versions (rsb 0.7.7 and rst 0.7.15) to the CITEC maven repo and am currently discussing with the CLF people how
to set up automated deployments (at least of the master/-SNAPSHOT-versions) from Jenkins.

#3 - 11/28/2012 04:32 PM - D. Klotz
- Status changed from In Progress to Resolved
- % Done changed from 10 to 100

I've sorted out the credentials issue with the CLF people and we now have a CI job that's always deploying the latest development SNAPSHOT version
to the repository, both for rsb-java and rst(-java): 
    -  https://ci.cor-lab.de/view/RSB/job/rsb-java-trunk-maven-deploy/
    -  https://ci.cor-lab.de/view/rst/job/rst-trunk-maven-deploy/

Release versions will not be deployed automatically according to the policy CLF has in this regard for their repo, but can be deployed quite easily by
hand.
